> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dataset File Preview



## OpenAPI

````yaml /api-reference/openapi.json get /api/datasets/{dataset_id}/filesystem/preview
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/datasets/{dataset_id}/filesystem/preview:
    get:
      tags:
        - api
        - datasets
      summary: Get Dataset File Preview
      operationId: >-
        get_dataset_file_preview_api_datasets__dataset_id__filesystem_preview_get
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: path
          in: query
          required: true
          schema:
            type: string
            description: Relative path to the file within the dataset
            title: Path
          description: Relative path to the file within the dataset
        - name: version_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Dataset view version ("active" default, "original", or explicit
              version id)
            title: Version Id
          description: >-
            Dataset view version ("active" default, "original", or explicit
            version id)
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetFilePreview'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DatasetFilePreview:
      properties:
        name:
          type: string
          title: Name
        path:
          type: string
          title: Path
        size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Size Bytes
        extension:
          anyOf:
            - type: string
            - type: 'null'
          title: Extension
        mime_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Mime Type
        kind:
          type: string
          enum:
            - image
            - text
            - binary
          title: Kind
        preview_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Preview Text
        truncated:
          type: boolean
          title: Truncated
          default: false
        preview_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Preview Url
      type: object
      required:
        - name
        - path
        - kind
      title: DatasetFilePreview
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````